Skip to main content
GET
Get product pricings

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

product_id
string<uuid>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

pricing_type
enum<string> | null
Available options:
percent,
per_unit,
volume,
volume_with_flat_fee,
tiered,
tiered_with_flat_fee,
step,
matrix,
custom_tiered,
package,
flat_fee,
features,
two_dimensional_tiered,
custom_pricing,
bundle
pricing_type__in
string | null
name
string | null
name__ilike
string | null
link_id
string | null
link_id__ilike
string | null
created_at
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null

Response

Successful Response

results
ProductBundlePricingResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows